### Method

# GLib StrvBuilder take

#### Declaration [src]

    void
    g_strv_builder_take (
      GStrvBuilder* builder,
      char* value
    )

#### Description [src]

Add a string to the end of the array. After `value` belongs to the `GStrvBuilder` and may no longer be modified by the caller.

Since 2.80.

#### Parameters

`value`

  Type: `char*`

  A string. Ownership of the string is transferred to the `GStrvBuilder`.

  The instance takes ownership of the data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.